Subject: Re: [lemonade] WGLC SASL-IR

From: Dave Cridland <[email-masked]>
Date: Wed, 03 Jan 2007 16:58:00 +0000

On Thu Dec 28 20:33:07 2006, Eric Burger wrote:
> As Alexey pointed out, it is worthwhile noting that SASL-IR is a 
> Profile-bis
> dependency, so we need to get it done.
> 
> Also, this document falls squarely in the LEMONADE charter.  Thus, 
> by most
> IETF rules, we need to at the very least pass judgment on it.  
> Given that it
> is a five-page document with a bunch of existing implementations, 
> this
> should not be too hard a task to do.  Besides, Lisa asked VERY 
> nicely :-)
> 
> 
> On 12/27/06 5:53 PM, "Eric Burger" <[email-masked]> wrote:
> 
> > Please comment on:
> > 
> http://www.ietf.org/internet-drafts/draft-siemborski-imap-sasl-initial-respo
> nse-06.txt
> > > I would be particularly interested if you could reply if you 
> have
> > implemented the client, server, or both from this draft.

At the time I implemented SASL-IR in my client, the (older) draft had 
expired, and rather than find it, I implemented it as I guessed it 
was probably written, tested it, and confirmed that it interoperated 
correctly with every server I encountered which claimed to implement 
the same extension.

When I came to implement it in a server, I read the current draft 
thoroughly, and noted that it was, indeed, exactly as I expected. 
This is a thoroughly unscientific method of reviewing a draft, but it 
does suggest two key things:

1) The draft contains no technical surprises, and as such has been 
sucessfully and interoperably implemented by a number of clients and 
servers.

2) The draft is written sufficiently clearly that it is easy to see 
that there are no technical surprises.

I'm satisfied that the draft is entirely ready, indeed thoroughly 
overdue, for publication as an RFC.

Dave.
-- 
Dave Cridland - mailto:[email-masked] - xmpp:[email-masked]
  - acap://acap.dave.cridland.net/byowner/user/dwd/bookmarks/
  - http://dave.cridland.net/
Infotrope Polymer - ACAP, IMAP, ESMTP, and Lemonade

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade